%define  base_name   ksplash-engine
%define  theme_name  moodin
%define  name        %{base_name}-%{theme_name}
%define  version     0.4.2     
%define  rel         6
%define  release     %mkrel %rel
%define  summary     Splash Screen Engine for KDE

Name:      %name
Version:   %version
Release:   %release
Summary:   %summary
License:   GPL
URL:       http://moodwrod.com/
Group:     Graphical desktop/KDE
Source:    http://moodwrod.com/files/%{name}_0.4.2.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Patch1:		moodin-autoconf.patch
Patch2:		moodin-0.4.2-fix-bug.patch
Patch3:		moodin-0.4.2-memleak-bug.patch
Patch4:		moodinkde-use-svg.patch
Patch5:		moodin-use-label-offset.patch
Patch6:		moodin-fix-svg.patch
BuildRequires:	kdebase-devel
BuildRequires:	art_lgpl-devel

%description
Splash Screen Engine for KDE
Heavily customizable engine for various types of themes

FEATURES:
- Scale cache
- Fading images
- Use current icon set or custom images
- Unlimited Custom text labels
- Set fading delay and length
- Custom image arrangement
- Resolution independent themes


%prep
rm -rf %buildroot


%setup -q -n %{theme_name}
%patch1 -p1 -b .autoconf
%patch2 -p1 -b .fix_bug
%patch3 -p1 -b .fix_mem_leak
%patch4 -p1 -b .use_svg
%patch5 -p1 -b .use_status_offset
%patch6 -p1 -b .fix_svg
make -f admin/Makefile.common

%build

./configure  --program-prefix=%{?_program_prefix} \
        --prefix=%_prefix \
        --exec-prefix=%_prefix \
        --bindir=%_bindir \
        --sbindir=%_sbindir \
        --sysconfdir=%_sysconfdir \
        --datadir=%_datadir \
        --includedir=%_includedir \
        --libdir=%_libdir \
        --libexecdir=%_libdir \
        --localstatedir=%_localstatedir \
        --sharedstatedir=%_sharedstatedir\
        --mandir=%_mandir \
        --infodir=%_infodir \
%if "%{_lib}" != "lib"
        --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--disable-rpath
     

%install
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%doc COPYING INSTALL AUTHORS
%_libdir/kde3/ksplashmoodin.la
%_libdir/kde3/ksplashmoodin.so
%_datadir/apps/ksplash/Themes/FingerPrint/*.png
%_datadir/apps/ksplash/Themes/FingerPrint/*.jpg
%_datadir/apps/ksplash/Themes/FingerPrint/Theme.rc
%_datadir/apps/ksplash/Themes/MoodinKDE/*.jpg
%_datadir/apps/ksplash/Themes/MoodinKDE/*.png
%_datadir/apps/ksplash/Themes/MoodinKDE/Theme.rc
%_datadir/services/ksplashmoodin.desktop


%changelog
* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 0.4.2-6mdv2007.0
+ Revision: 120903
- Fix svg

* Wed Feb 14 2007 Laurent Montel <lmontel@mandriva.com> 0.4.2-5mdv2007.1
+ Revision: 120754
- Improve
- Fix other mem leak
- Fix some mem leak
- Fix configure
- Import ksplash-engine-moodin




* Sun Jul 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.2-2mdv2007.0
- Rebuild for new extension

* Sun Dec 18 2005 Sebastien Savarin <plouf@mandriva.org> 0.4.2-1mdk
- First Mandriva Linux release
